#include <Servo.h>

Servo servo1; // Create a servo object for the first servo
Servo servo2; // Create a servo object for the second servo

void setup() {
  servo1.attach(8); // Attaches the first servo to digital pin 8
  servo2.attach(9); // Attaches the second servo to digital pin 9

  Serial.begin(9600); // Initialize serial communication for debugging
  Serial.println("Continuous Servo Test");
}

void loop() {
  Serial.println("Moving both servos forward...");
  servo1.write(90);  // For continuous servos, 90 often means stopped,
  servo2.write(90);  // values slightly higher or lower control speed and direction
  delay(2000);      // Keep them moving for 2 seconds

  Serial.println("Stopping both servos...");
  servo1.write(90);  // Stop the first servo
  servo2.write(90);  // Stop the second servo
  delay(2000);      // Keep them stopped for 2 seconds

  Serial.println("Moving servo 1 forward, servo 2 backward...");
  servo1.write(95);  // Slightly higher than 90 might move it forward
  servo2.write(85);  // Slightly lower than 90 might move it backward
  delay(2000);

  Serial.println("Stopping both servos again...");
  servo1.write(90);
  servo2.write(90);
  delay(2000);
}
